Update task by Id

Path Params
int64
required
≥ 0
Defaults to 1

The task's unique, system-generated identifier, which can be used to identify the task globally

Query Params
includeFields
array of strings

This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.

includeFields
boolean

This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.

Body Params
string

The name of the task.

string

The description of the task. The description body needs to be in html format to avoid any formatting issues in the application.

string

The privateNote for the task is intended exclusively for team members. The note's content should be in HTML format to prevent any formatting issues in the application.

string

The date when a task starts its execution. It can be empty. The format for the start date is YYYY-MM-DD.

string

The date when a task completes its execution. It can be empty. If both startDate and dueDate are specified for a given task, it is necessary that the latter should be on or after the given startDate. The format for the due date is YYYY-MM-DD.

int32

The effort is the expected time required to complete the task. The value is determined in minutes.

int32

The task's progress, if indicated, will be available here and ranges in value from 0 to 100. The task's status can be used in place of this field, however progress can offer more precise data.

boolean

Indicates whether the task has been marked as At Risk. This parameter is used to indicate that immediate action is necessary to unblock the task's execution.

string
enum

The type of the task if specified will be available here. There are two options: MILESTONE or TASK. If a task is not explicitly marked as a milestone, it takes the default value as TASK. Milestones refer to critical tasks in the project that include an inbuilt CSAT capability that allows customers to offer CSAT evaluations depending on the task's execution.

Allowed:
fields
array of objects

The custom fields can be set during the task creation with the help of fields. The fieldValue can be either a string or a number or an array and it has to comply with the type of the field. Refer examples to know how to assign fieldValue based on their field_type.

fields
status
object

The value of the task status can be specified here and this is essential to keep track of it.

string

An externalReferenceId is a unique identifier that links entities or transactions between external systems and Rocketlane, ensuring accurate data correlation and consistency.

boolean

This depicts if the task is private or not.

Responses

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json